<back to all web services

SendForTranslation

The following routes are available for this service:
POST/RestApi/translations/translate
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class SendForTranslation
{
    open var Ids:ArrayList<UUID>? = null
    open var ProjectData:CreateProject? = null
}

open class CreateProject : IProjectInfo
{
    override var Title:String? = null
    override var StartDate:Date? = null
    override var EndDate:Date? = null
    override var Description:String? = null
    override var Connector:String? = null
    override var PoReference:String? = null
    override var ActualSourceLanguage:String? = null
}

Kotlin SendForTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/translate HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"ProjectData":{"Title":"String","StartDate":"\/Date(-62135596800000-0000)\/","EndDate":"\/Date(-62135596800000-0000)\/","Description":"String","Connector":"String","PoReference":"String","ActualSourceLanguage":"String"}}